Search the Community
Showing results for tags 'command'.
-
Please help me with this; While picking points, the data/text in the command line gets wrapped even though there is more space. (defun c:nanpt () (vl-load-com) (princ "\nStakeout Point by: Nan Glase (2024-12-24)") (princ "\nEnter \"NANPT\" to run.") (setq...
- 8 replies
-
- command
- command line
-
(and 2 more)
Tagged with:
-
how to use linear path array command in autocad 2009
-
I’m using AutoCad 2023. I used Aliasedit command to get all the list of command keys in CAD because used to type more than navigate through the ribbons. anyway. I got 9 pages of the list but It did not list all the commands for example not much on ISO tools. How can I get full list of commands...
-
_ColorOffsetV031 Unknown command "COLOROFFSETV031". Press F1 for help.
AM-AP posted a topic in AutoLISP, Visual LISP & DCL
Hi there, I'm AM and new to the forum I'm creating a set of easy lisp routines for my team. I've loaded the following lisp file into AutoCAD and it works fine when typing the function ColorOffsetV031 into the command line within AutoCAD. However, when I try create a new command that wil...- 10 replies
-
- lisp
- unknown command
-
(and 2 more)
Tagged with:
-
How to use Wire Copy (AECOPYWIRENO / WD_COPY_WN) in LISP
NicholasCAD posted a topic in AutoLISP, Visual LISP & DCL
(Hopefully this Question has not been asked. The Search gave no Results.) For Context: I have created a Program that generates a complex Component (Block, Wiring, Text) onto a Sheet. The Program uses .LSP and .DCL for ease of Use for our Operators. The Prompt has Options t... -
Just now I moved an object. I panned and zoomed to see how it looked. I changed my mind and tried to undo the move. I had to undo dozens of phantom commands (listed as "group of commands") to get back to the move, when I should have had to undo only a couple of real commands. This is not an isol...
-
create dropdown menu in autocad to select commands
Manuel_Kunde posted a topic in AutoLISP, Visual LISP & DCL
Hi all, I am trying to write a lisp that will create a DropDown list in Autocad. With the selection from the fields I want to execute different commands that I have defined before. (defun c:create_dropdown () (setq choise1 command1) (setq choise2 command2) (setq choise3 command3) (set... -
How to pause for user input in while and run more than 1 command call
3dwannab posted a topic in AutoLISP, Visual LISP & DCL
TWO THINGS HERE 1. How can I get the pause to be only asked once in the while loop. 2. Unknown command "MW". Press F1 for help. comes up for the last 2 commands. CODE FOR CREATING MULTIPLE WIPEOUTS: (defun c:mw ( / sset countn n *error* cmde os smode ) (defun *error* (errmsg) (and a... -
Hi, I need to run a scrit on multiple files and I would like it To chose wich SCR to run bas on the begining of the Name of the DWG File. In this case i have file with 2436, 3648 etc... and my scr would need to run the 2436INS.SCR on the 2436 ans same thing with the 3648 etc... I have try usi...
- 7 replies
-
- lisp
- insert block
-
(and 3 more)
Tagged with:
-
Quickly entering commands tampers with the input
benhubel posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
When I enter a command quickly, it will sometimes duplicate my input into the command line. Example: after selecting, if I press "m" for move, and quickly follow it with spacebar to confirm, I will be prompted to enter a base point. Sometimes, it will input an "m" in the command line in the plac... -
Hi. Can someone please help me, tell me or explain to me how to create new layer with macro. I want define a new button which when I push it will make new layer and ask me for define name and colour of new layer. I'm kind a new to this. I found only this code using LISP. But I want macro for...
-
selecting objects by layer
Jamez posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Is it possible to select objects by layer using only the command prompt, I know it is possible to select objects by other means but I'm specifically trying to use the command prompt to run a script which will go on to cleanse dxf files. If not, does anyone now of a lisp routine which would enable th... -
.....
-
The below test code doesn't show the new location of pt2 where the cursor is. Anyone know how to get it to work. DRAGMODE varaible is set to ON. (defun c:test (/ rec1 rec2) (setq rec1 (getpoint "select first ")) (setq rec2 (getcorner rec1 "select second")) (setq pt1 (getpoint "\nSelec...
-
Having already asked with no replies some time ago, I thought I could give it a try once again. When I run my lisp routine which begins with (command "_.undo" "_BE") and ends with (command "_.undo" "_E") and for any reason I press "u" I get the annoying message (Lisp Ex...
-
Hello all, I wondered if it's possible to have a kind of command or lisp that gets the continue and baseline command in one single command? In the picture below you see the result I need in one command. Now it is done in 2 commands and it's taking a lot of time. Can somebody hel...
-
Hi all, First poster here! Thought I would start of with something small. Does anybody know how to create a (new) Quick Leader command that has a DOT arrowhead default? I have tried to play around with the command macro (^C^C_qleader) but to know avail. Any help will be greatly appre...
- 4 replies
-
- command string
- command
-
(and 2 more)
Tagged with:
-
Hi very new to Autocad here - I've just downloaded Autocad onto my laptop, but my laptops number keys don't work so I am using my online keyboard viewer for numbers. When drawing in Autocad and putting in dimensions, is it possible to do it with an online keyboard? Because everytime I want to type i...
-
Hi, I want to prevent a layer from being plotted and I have found a few ways to do this but which way is the best? 1. (command "_.-layer" "p" "n" "LAYERNAME" "") 2. (defun PlotLayer2 (layerName bool / en output) (if (setq en (tblobjname "LAYER" layerName)) (progn (entmo...
-
Command line wont accept input if an object is selected and cursor is over the object
bh_ONE posted a topic in AutoCAD General
Has anyone had the issue of your command line not working if you have a p-line/object selected and your cursor is over the same object? sometimes this will cause the object to adjust after you try to start a command, but the command won't start. I just get a beep signaling an error, but no message...- 8 replies
-
- command line
- command
-
(and 1 more)
Tagged with:
-
Hi everyone, I'm currently writing a C# plugin for AutoCAD. I have a form containing several buttons among other things. One minor function I would like to add is to open the Group Manager via my custom created button inside that form. Now my problem is I can't seem to figure out how to access...
-
- plugin
- group manager
-
(and 3 more)
Tagged with:
-
My company is switching to a 'miniframe' system for our network such as this: http://www.miniframe.com/KB/OnlineHelp/hardware_requirements.html Basically there is one main computer handing the Autocad and we still have our own workstations. the problem is, I have my own custom commands in the ac...
-
Hi all, Pretty basic/noob question, my command box has mysteriously vanished (more than likely my own doing) and I would really like it back! Where can I find it! cheers!!
-
Mirror command cannot flip horizontally
Kittie posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Solved! See the first response below to see the solution. (RobDraw's post) Hello, recently last night my mirror tool did not easily snap or flip to what I was trying to do in the red box shown in the picture below: It can do any other angles but the other angles use to let it flip above/be...- 12 replies
-
- horizontally
- flip
-
(and 2 more)
Tagged with:
-
I want a command reactor to be able to activate inside a function however I am not sure if command reactors work with a user defined command or function. For an example, I want to be able to get the reactor to work on some (defun c:drawsomething () ....) and I want it to look for when the command dr...